<!--

    Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)

    This software is a computer program whose purpose is to maintain and
    administrate standalone forms.

    This software is governed by the CeCILL  license under French law and
    abiding by the rules of distribution of free software.  You can  use,
    modify and/ or redistribute the software under the terms of the CeCILL
    license as circulated by CEA, CNRS and INRIA at the following URL
    "http://www.cecill.info".

    As a counterpart to the access to the source code and  rights to copy,
    modify and redistribute granted by the license, users are provided only
    with a limited warranty  and the software's author,  the holder of the
    economic rights,  and the successive licensors  have only  limited
    liability.

    In this respect, the user's attention is drawn to the risks associated
    with loading,  using,  modifying and/or developing or reproducing the
    software by the user in light of its specific status of free software,
    that may mean  that it is complicated to manipulate,  and  that  also
    therefore means  that it is reserved for developers  and  experienced
    professionals having in-depth computer knowledge. Users are therefore
    encouraged to load and test the software's suitability as regards their
    requirements in conditions enabling the security of their systems and/or
    data to be ensured and,  more generally, to use and operate it in the
    same conditions as regards security.

    The fact that you are presently reading this means that you have had
    knowledge of the CeCILL license and that you accept its terms.

-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>fr.ge.common.nash</groupId>
        <artifactId>nash-parent</artifactId>
        <version>2.10.1.0-SNAPSHOT</version>
        <relativePath>../..</relativePath>
    </parent>

    <artifactId>nash-release</artifactId>
    <packaging>pom</packaging>
	
	<properties>
       <repo.xsd.url>http://svn.projet-ge.fr:8080/archiva/repository/xsd</repo.xsd.url>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-deploy-plugin</artifactId>
                <version>2.8</version>
                <configuration>
                    <url>${repo.xsd.url}</url>
                    <groupId>form-manager</groupId>
                    <artifactId>form-manager</artifactId>
                    <version>1.2</version>
                </configuration>
                <executions>
                    <execution>
                        <id>deploy-core-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <classifier>core</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2-core.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-description-internal-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <classifier>description-internal</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2-description-internal.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-description-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <classifier>description</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2-description.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-data-internal-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <classifier>data-internal</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2-data-internal.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-data-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <classifier>data</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2-data.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-processes-internal-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <classifier>processes-internal</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2-processes-internal.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-processes-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <classifier>processes</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2-processes.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-xsd</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>xsd</repositoryId>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/fr/ge/common/nash/engine/mapping/form/v1_2/form-manager-1.2.xsd</file>
                            <packaging>xsd</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-common-css</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>css</repositoryId>
                            <classifier>common</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/css/common.css</file>
                            <packaging>css</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-data-css</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>css</repositoryId>
                            <classifier>data</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/css/data.css</file>
                            <packaging>css</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-description-css</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>css</repositoryId>
                            <classifier>description</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/css/description.css</file>
                            <packaging>css</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-process-css</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>css</repositoryId>
                            <classifier>process</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/css/process.css</file>
                            <packaging>css</packaging>
                        </configuration>
                    </execution>
                    <execution>
                        <id>deploy-types-css</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>deploy-file</goal>
                        </goals>
                        <configuration>
                            <repositoryId>css</repositoryId>
                            <classifier>types</classifier>
                            <file>${project.parent.basedir}/modules/nash-engine/src/main/resources/css/types.css</file>
                            <packaging>css</packaging>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <profiles>
        <profile>
            <id>docker</id>
            <properties>
                <docker.version>0.4.11</docker.version>
                <docker.registry />
            </properties>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-dependency-plugin</artifactId>
                        <executions>
                            <execution>
                                <goals>
                                    <goal>copy</goal>
                                </goals>
                                <configuration>
                                    <artifactItems>
                                        <artifactItem>
                                            <groupId>${project.groupId}</groupId>
                                            <artifactId>form-admin</artifactId>
                                            <version>${project.parent.version}</version>
                                            <type>war</type>
                                            <outputDirectory>${project.build.directory}</outputDirectory>
                                            <destFileName>form-admin.war</destFileName>
                                        </artifactItem>
                                        <artifactItem>
                                            <groupId>${project.groupId}</groupId>
                                            <artifactId>form-admin</artifactId>
                                            <classifier>config</classifier>
                                            <version>${project.parent.version}</version>
                                            <type>zip</type>
                                            <outputDirectory>${project.build.directory}</outputDirectory>
                                            <destFileName>form-admin-config.zip</destFileName>
                                        </artifactItem>
                                        <artifactItem>
                                            <groupId>org.postgresql</groupId>
                                            <artifactId>postgresql</artifactId>
                                            <version>${postgresql.version}</version>
                                            <type>jar</type>
                                            <outputDirectory>${project.build.directory}</outputDirectory>
                                            <destFileName>postgresql.jar</destFileName>
                                        </artifactItem>
                                    </artifactItems>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <groupId>com.spotify</groupId>
                        <artifactId>docker-maven-plugin</artifactId>
                        <version>${docker.version}</version>
                        <executions>
                            <execution>
                                <phase>package</phase>
                                <goals>
                                    <goal>build</goal>
                                </goals>
                                <configuration>
                                    <dockerDirectory>${project.basedir}/src/main/docker/admin</dockerDirectory>
                                    <imageName>${docker.registry}form-manager/admin:${project.parent.version}</imageName>
                                    <resources>
                                        <resource>
                                            <targetPath>/</targetPath>
                                            <directory>${project.build.directory}</directory>
                                            <includes>
                                                <include>postgresql.jar</include>
                                                <include>form-admin.war</include>
                                                <include>form-admin-config.zip</include>
                                            </includes>
                                        </resource>
                                    </resources>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>

</project>